/******************************************************************************
* Filename          : serial.h $workfile: $
*
* Module            : 
*
* Author            : J G Thorne
* Description       : 
*
*	Function header file for PRT functions
*
* Change history    :
*   Issue   Date        Changed by      Reason for change
*   1.0     6Sept2005   John Thorne     First Issue
*
*   $Log: serial.h,v $
*   Revision 1.1  2009/09/22 15:54:23  rt
*   Initial commit to CVS.
*   Originally version 00.00.07
*   Committed on the Free edition of March Hare Software CVSNT Server.
*   Upgrade to CVS Suite for more features and support:
*   http://march-hare.com/cvsnt/
*
*
*
* Copyright         : Cambridge Micro Engineering, Sept 2005
******************************************************************************/
#ifndef __SERIAL_H__
    #define __SERIAL_H__

/*****************************************************************************
* Required includes
*****************************************************************************/
#include	"typedefs.h"
/*****************************************************************************
* Imported definitions
*****************************************************************************/


/*****************************************************************************
* Imported functions
*****************************************************************************/

void    SERIALInit (void);
void    SERIALReset (void);

void    SERIALWriteByte (byte);
#ifdef SERIAL_INTERRUPT
void    __attribute__((interrupt,auto_psv)) _U2TXInterrupt(void);
#else
void    U2TXInterrupt(void);
#endif
void 	SERIALCloseOutBuffer (void);
void 	SERIALOpenOutBuffer (void);

byte    SERIALReadByte (void);
#ifdef SERIAL_INTERRUPT
void    __attribute__((interrupt,auto_psv)) _U2RXInterrupt(void);
#else
void    U2RXInterrupt(void);
#endif
void 	SERIALCloseInBuffer (void);
void 	SERIALOpenInBuffer (void);
BOOLEAN SERIALInBufferIsEmpty (void);
BOOLEAN SERIALOutBufferIsEmpty (void);


#endif   /*  __SERIAL_H__*/



/*****************************************************************************
*   End of file
*****************************************************************************/
