/******************************************************************************
* Filename          : buffer.h $workfile: $
*
* Module            : 
*
* Author            : V A Tarrant
* Description       : 
*
*	Function header file for 
*
* Change history    :
*   Issue   Date        Changed by      Reason for change
*   1.0     10May2007   Val Tarrant     First Issue
*
*   $Log: buffer.h,v $
*   Revision 1.1  2009/09/22 15:55:13  rt
*   Initial commit to CVS.
*   Originally version 00.00.20
*   Committed on the Free edition of March Hare Software CVSNT Server.
*   Upgrade to CVS Suite for more features and support:
*   http://march-hare.com/cvsnt/
*
*
*
* Copyright         : Cambridge Micro Engineering, April 2004
******************************************************************************/
#ifndef __BUFFER_H__
    #define __BUFFER_H__

/*****************************************************************************
* Project Includes
*****************************************************************************/

/*****************************************************************************
* Required includes
*****************************************************************************/

/*****************************************************************************
* Imported definitions
*****************************************************************************/

#define MAX_BUFFER_SIZE 64
#define VOID_INDEX      0xFF

typedef struct sDataElement
{
    byte   Cmd;         /* MIDI Command */
    byte   Data;        /* Command Content */
} tDataElement;

typedef struct
{
    byte            iBUFFERIn;
    byte            iBUFFEROut;
    BOOLEAN         BUFFEREmptyStatus;
    BOOLEAN         BUFFERFullStatus;
    tDataElement   *Buffer;
} tBuffer;

/*****************************************************************************
* Imported functions
*****************************************************************************/
BOOLEAN BUFFERFull  (tBuffer *);
BOOLEAN BUFFEREmpty (tBuffer *);
BOOLEAN BUFFERStore ( tBuffer *, tDataElement * );
BOOLEAN BUFFERRead  ( tBuffer *, tDataElement * );
BOOLEAN BUFFERRetreve( tBuffer *, tDataElement *, byte StartEnd);
void    BUFFERInit   ( void );

extern volatile tBuffer bufFrame;
extern volatile tBuffer bufFlash;

#endif   /*  __BUFFER_H__*/
/*****************************************************************************
*   End of file
*****************************************************************************/
