/*********************************************************************
 *
 *                Microchip USB C18 Firmware Version 1.0
 *
 *********************************************************************
 * FileName:        io_cfg.h
 * Dependencies:    See INCLUDES section below
 * Processor:       PIC18
 * Compiler:        C18 2.30.01+
 * Company:         Microchip Technology, Inc.
 *
 * Software License Agreement
 *
 * The software supplied herewith by Microchip Technology Incorporated
 * (the Company) for its PICmicro Microcontroller is intended and
 * supplied to you, the Companys customer, for use solely and
 * exclusively on Microchip PICmicro Microcontroller products. The
 * software is owned by the Company and/or its supplier, and is
 * protected under applicable copyright laws. All rights are reserved.
 * Any use in violation of the foregoing restrictions may subject the
 * user to criminal sanctions under applicable laws, as well as to
 * civil liability for the breach of the terms and conditions of this
 * license.
 *
 * THIS SOFTWARE IS PROVIDED IN AN AS IS CONDITION. NO WARRANTIES,
 * WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING, BUT NOT LIMITED
 * TO, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE APPLY TO THIS SOFTWARE. THE COMPANY SHALL NOT,
 * IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL OR
 * CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.
 *
 * Author               Date        Comment
 *~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 * Rawin Rojvanit       7/21/04     Original.
 ********************************************************************/

#ifndef IO_CFG_H
#define IO_CFG_H

/** I N C L U D E S *************************************************/

/** T R I S *********************************************************/
#define INPUT_PIN           1
#define OUTPUT_PIN          0


/** L E D ***********************************************************/
#define mInitLEDS()         LATCbits.LATC12 = 0; TRISCbits.TRISC12 = 0;	/* Green LED on */  \
                            LATCbits.LATC15 = 0; TRISCbits.TRISC15 = 0	/* Red LED on */    

#define mLEDGreen           LATCbits.LATC12
#define mLEDRed             LATCbits.LATC15

#define mLEDGreen_On()      mLEDGreen = 0;
#define mLEDGreen_Off()     mLEDGreen = 1;

#define mLEDRed_On()        mLEDRed = 0;
#define mLEDRed_Off()       mLEDRed = 1;

#define mLEDRed_Toggle()    mLEDRed = !mLEDRed;
#define mLEDGreen_Toggle()  mLEDGreen = !mLEDGreen;

/***  TRANSPOSITION SWITCHES  ************************************************/

#define mInitTSwitches()    LATGbits.LATG8 = 0; TRISGbits.TRISG8 = 1;  \
                            LATGbits.LATG9 = 0; TRISGbits.TRISG9 = 1;  

#define mUPTSwitchState()   PORTGbits.RG8;

#define mDOWNTSwitchState() PORTGbits.RG9;

#endif //IO_CFG_H
