/******************************************************************************
* Filename          : Midi.h
*
* Module            : 
*
* Author            : Val Tarrant/John Thorne
* Description       : This file is the header file for midi.c 
*                     HT-MINI MIDI Keyboard 
*	
*
* Change history    :
*   Issue   Date        Changed by      Reason for change
*   1.0     30Jan2008   Val Tarrant     First Issue
*
* Copyright         : Cambridge Micro Engineering, Jan 2008
******************************************************************************/
#ifndef __MIDI_H__
    #define __MIDI_H__

/*****************************************************************************
* Required includes
*****************************************************************************/
#include "keybrd.h"

/*****************************************************************************
* Global Definitions
*****************************************************************************/

#define tMIDICmd byte;
#define tMIDIData byte;

/*****************************************************************************
* Imported definitions
*****************************************************************************/

/*****************************************************************************
* Global variables
*****************************************************************************/

/*****************************************************************************
* Function prototype
*****************************************************************************/

void    MIDIInit(void);
void    MIDIOn  ( tKeyStatus * Key);
void    MIDIOff ( tKeyStatus * Key);
void    MIDITransUpOn(void );
void    MIDITransDownOn(void );
void    MIDIAllOff(void );

#endif   /*  __MIDI_H__*/

/*****************************************************************************
*   End of file
*****************************************************************************/
