/******************************************************************************
* Filename          : Timers.h $workfile: $
*
* Module            : 
*
* Author            : Val Tarrant
* Description       : This module holds initialisation functions 
*                     for hardware timers based on dsPIC 33fj128gp310 
*	
*
* Change history    :
*   Issue   Date        Changed by      Reason for change
*   1.0     30Jan2008   Val Tarrant     First Issue
*
*   $Log: timers.h,v $
*   Revision 1.1  2009/09/22 15:55:13  rt
*   Initial commit to CVS.
*   Originally version 00.00.20
*   Committed on the Free edition of March Hare Software CVSNT Server.
*   Upgrade to CVS Suite for more features and support:
*   http://march-hare.com/cvsnt/
*
*
*
* Copyright         : Cambridge Micro Engineering, Jan 2008
******************************************************************************/
#ifndef __TIMERS_H__
    #define __TIMERS_H__

/*****************************************************************************
* Required includes
*****************************************************************************/

/*****************************************************************************
* Imported definitions
*****************************************************************************/


/*****************************************************************************
* Imported functions
*****************************************************************************/

void    TIMER1Init (void);
void    TIMER1Reset (void);
void    __attribute__((interrupt, shadow, no_auto_psv)) _T1Interrupt(void);
void    TIMER3Init   (void);
void    TIMER3Reset(void);
void    TIMER3Start  (void);
void    TIMER3Stop   (void);

#endif   /*  __TIMERS_H__*/



/*****************************************************************************
*   End of file
*****************************************************************************/
