/******************************************************************************
*
* @file Version.h
*
* Filename          : Version.h
*
* Module            : 
*
* Author            : J G Thorne
* Description       : 
*
*	Version header file for the HT Mini Keyboard
*
* Change history    :
*   Issue   Date        Changed by      Reason for change
*	0.1		22Jan2008	JT				Initial Project
*
*
* Copyright         : Cambridge Micro Engineering, January 2008
******************************************************************************/

#define VERSION_NUMBER  (0x0110)
#define FW_NUMBER       "1.10"		/* Only 4 bytes allowed */

/*****************************************************************************
 *
 *  Production release of 0.23
 *
 *****************************************************************************/

//#define VERSION_NUMBER  (0x0023)
//#define FW_NUMBER       "0.23"		/* Only 4 bytes allowed */

/*****************************************************************************
 *
 *  Map Alt keymapping is in numbered 1 to 98 (was 0 to 97)
 *
 *****************************************************************************/

//#define VERSION_NUMBER  (0x0022)
//#define FW_NUMBER       "0.22"		/* Only 4 bytes allowed */
/*****************************************************************************
 *
 *  Map Alt keymapping is in columns not rows (as the MIDI map is)
 *
 *****************************************************************************/

//#define VERSION_NUMBER  (0x0100)
//#define FW_NUMBER       "1.00"		/* Only 4 bytes allowed */

/*****************************************************************************
 *
 *  Production release of 0.21
 *
 *****************************************************************************/

//#define VERSION_NUMBER  (0x0021)
//#define FW_NUMBER       "0.21"		/* Only 4 bytes allowed */

/*****************************************************************************
 *
 *  Add support for keyboard re-mapping
 *
 *****************************************************************************/

//#define VERSION_NUMBER  (0x0020)
//#define FW_NUMBER       "0.20"		/* Only 4 bytes allowed */

/*****************************************************************************
 *
 *  new version exactly the same as 0.19 produced for test purposes
 *
 *****************************************************************************/

//#define VERSION_NUMBER  (0x0019)
//#define FW_NUMBER       "0.19"		/* Only 4 bytes allowed */

/*****************************************************************************
 *
 *  Ammend gld file to show correct program memory allocation
 *
 *****************************************************************************/
//#define VERSION_NUMBER  (0x0018)
//#define FW_NUMBER       "0.18"		/* Only 4 bytes allowed */

/*****************************************************************************
 *
 *  Add support for F9 SYSEX and USB BootStrap
 *  Ammend serial number handler to accept nulls and send NAK if serial number not to spec
 *
 *****************************************************************************/

//#define VERSION_NUMBER  (0x0017)
//#define FW_NUMBER       "0.17"		/* Only 4 bytes allowed */

/*****************************************************************************
 *
 *  BOOTLOAD_WORD erase activated
 *
 *****************************************************************************/

//#define VERSION_NUMBER  (0x0016)
//#define FW_NUMBER       "0.16"		/* Only 4 bytes allowed */

/*****************************************************************************
 *
 *  Close down UART2 before bootload reset
 *  BOOTLOAD_WORD_ADDR now moved to 0x1000 outside the application code area 
 *
 *****************************************************************************/

//#define VERSION_NUMBER  (0x0015)
//#define FW_NUMBER       "0.15"		/* Only 4 bytes allowed */

/*****************************************************************************
 *
 *  
 *  
 *
 *****************************************************************************/


//#define VERSION_NUMBER  (0x0014)
//#define FW_NUMBER       "0.14"		/* Only 4 bytes allowed */

/*****************************************************************************
 *
 *  Move Application code to 0x2000 to align with General Segment start
 *  Call ResetDevice on call to enter Bootstrap
 *
 *****************************************************************************/

//#define VERSION_NUMBER  (0x0013)
//#define FW_NUMBER       "0.13"		/* Only 4 bytes allowed */

/*****************************************************************************
 *
 *  Correct bug in command responses to return code as well as response
 * 
 *
 *****************************************************************************/

//#define VERSION_NUMBER  (0x0012)
//#define FW_NUMBER       "0.12"		/* Only 4 bytes allowed */

/*****************************************************************************
 *
 *  Correct bugs in Serial number read and Write and Version read commands
 *  Implement bootload mode command stub
 * 
 *
 *****************************************************************************/

//#define VERSION_NUMBER  (0x0011)
//#define FW_NUMBER       "0.11"		/* Only 4 bytes allowed */

/*****************************************************************************
 *
 *  Implement Read Serial Number and Read Mode
 * 
 * 
 *
 *****************************************************************************/

//#define VERSION_NUMBER  (0x0010)
//#define FW_NUMBER       "0.10"		/* Only 4 bytes allowed */

/*****************************************************************************
 *
 *  Implement ACK and NACK response
 * 
 * 
 *
 *****************************************************************************/

//#define VERSION_NUMBER  (0x0009)
//#define FW_NUMBER       "0.09"		/* Only 4 bytes allowed */

/*****************************************************************************
 *
 *  Remove Reset and All notes off commands
 *  Implement SYSEX commands enable and disable application and enable testmode.
 * 
 * 
 *
 *****************************************************************************/

//#define VERSION_NUMBER  (0x0008)
//#define FW_NUMBER       "0.08"		/* Only 4 bytes allowed */

/*****************************************************************************
 *
 * Reset transposition on pressing of both transposition keys
 * Reduce scan duration to 4ms
 * Reduce scan debounce passes to 4
 * Add AllKeysOff MIDI code on pressing of both transposition keys
 *
 *****************************************************************************/

//#define VERSION_NUMBER  (0x0007)
//#define FW_NUMBER       "0.07"		/* Only 4 bytes allowed */

/*****************************************************************************
 *
 * Transposition now 1 octave per keypress, max of 3 octaves
 * 
 * 
 * 
 *
 *****************************************************************************/

//#define VERSION_NUMBER  (0x0007)
//#define FW_NUMBER       "0.07"		/* Only 4 bytes allowed */

/*****************************************************************************
 *
 * Remove All notes off
 * Insert comman interpreter
 * 
 * 
 *
 *****************************************************************************/

//#define VERSION_NUMBER  (0x0006)
//#define FW_NUMBER       "0.06"		/* Only 4 bytes allowed */

/*****************************************************************************
 *
 * Remove All notes off
 * Insert comman interpreter
 * 
 * 
 *
 *****************************************************************************/

//#define VERSION_NUMBER  (0x0005)
//#define FW_NUMBER       "0.05"		/* Only 4 bytes allowed */

/*****************************************************************************
 *
 * Add Rx from Uart to enable commands to be sent from external chip
 * Implement Go into bootstrap mode and Reset
 * 
 * 
 *
 *****************************************************************************/

//#define VERSION_NUMBER  (0x0004)
//#define FW_NUMBER       "0.04"		/* Only 4 bytes allowed */

/*****************************************************************************
 *
 * Bootload version
 * 
 * 
 * 
 *
 *****************************************************************************/

//#define VERSION_NUMBER  (0x0003)
//#define FW_NUMBER       "0.03"		/* Only 4 bytes allowed */

/*****************************************************************************
 *
 * Add transposition
 * Add All notes off at Power on and 1 second after final note off
 * 
 * 
 *
 *****************************************************************************/

//#define VERSION_NUMBER  (0x0002)
//#define FW_NUMBER       "0.02"		/* Only 4 bytes allowed */

/*****************************************************************************
 *
 * Added keybrd.c into forground task to process key scans every 1ms
 * Added Serial.c to store data between MIDIOut/In and serial port
 * Added mini.c to process MIDI commands from KEYBRDStateMachine()
 * Added traps.c to capture system errors
 *
 *****************************************************************************/

//#define VERSION_NUMBER  (0x0001)
//#define FW_NUMBER       "0.01"		/* Only 4 bytes allowed */

/*****************************************************************************
 *
 * First version
 *
 * ADC scanning 14 Rows by 14 Columns to generate KeyboardScan[Row][Column]
 * Scans triggered by TMR1 every 1ms
 *
 *****************************************************************************/

/* EOF */
