/*****************************************************************************
 *
 * version header file for C-Thru USB Midi project
 *
 *****************************************************************************
 * Filename:        version.h
 * Dependencies:    none
 * Processor:       PIC18F2450
 * Compiler:       	MPLAB C30 v3.00 or later
 * Linker:          MPLAB LINK30
 * Company:         Cambridge Micro Engineering Ltd. (www.cme.co.uk)
 *
 * Software License Agreement
 *
 * The software supplied herewith is (c) Cambridge Micro Engineering
 * (the "Company") and is intended and supplied to you, the Company's
 * customer, for use solely and exclusively under the terms of the 
 * software licence. 
 *
 * The software is owned by the Company and/or its supplier, and is 
 * protected under applicable copyright laws. All rights are reserved. 
 * Any use in violation of the foregoing restrictions may subject the 
 * user to criminal sanctions under applicable laws, as well as to 
 * civil liability for the breach of the terms and conditions of this 
 * license.
 *
 * Author               Date        Comment
 *~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 * John Thorne          08Jan2008   Initial dummy framework	
 *****************************************************************************/


#ifndef VERSION_H
#define VERSION_H

/*-------------------------------------------------------------------------*/
/*                                                                         */
/* Type definitions                                                        */
/*                                                                         */
/*-------------------------------------------------------------------------*/

/**
**  Version is split in BCD bytes so 0x0001 is version 0.01
*/

#define VERSION_NUMBER  (0x0013)
/*-------------------------------------------------------------------------*/
/*                                                                         
/*   Create version 13 for test purposes                                                         
/*                                                                         
/*                                                                         
/*                                                                         
/*-------------------------------------------------------------------------*/

#define VERSION_NUMBER  (0x0012)
/*-------------------------------------------------------------------------*/
/*                                                                         
/*   Remove the letters USB Keyboard from the descriptor as not registed with USB   
/*      User group.  Replace with 2A                                                                  
/*   Ammend selection of alternate descriptor                                                                      
/*                                                                         
/*                                                                         
/*                                                                         
/*-------------------------------------------------------------------------*/

//#define VERSION_NUMBER  (0x0011)
/*-------------------------------------------------------------------------*/
/*                                                                         */
/*     Add support for RTS/CTS Flow control                          	   */
/*     Add Bootload intialisation setup (18f2450.lkr)                      */
/*     Force RESET (RC2) on for 5ms on initialisation                      */
/*     Amend USBDSC.c to include alternate details correctly               */
/*     Add support for F9 command - go into bootload mode                  */
/*                                                                         */
/*-------------------------------------------------------------------------*/

//#define VERSION_NUMBER  (0x0009)
/*-------------------------------------------------------------------------*/
/*                                                                         */
/*     Add support for Bootloader in linker files                          */
/*                                                                         */
/*                                                                         */
/*-------------------------------------------------------------------------*/

//#define VERSION_NUMBER  (0x0008)
/*-------------------------------------------------------------------------*/
/*                                                                         */
/*     Add USB serial number support (Product Code plue firmware Revision) */
/*                                                                         */
/*                                                                         */
/*-------------------------------------------------------------------------*/

//#define VERSION_NUMBER  (0x0007)
/*-------------------------------------------------------------------------*/
/*                                                                         */
/*     Fix bug in user.c which caused issues with USB packets of less than */
/*     64 bytes (i.e. in Vista)                                            */
/*                                                                         */
/*                                                                         */
/*                                                                         */
/*                                                                         */
/*                                                                         */
/*-------------------------------------------------------------------------*/

//#define VERSION_NUMBER  (0x0006)
/*-------------------------------------------------------------------------*/
/*                                                                         */
/*     Fix bug in user.c which caused continuous TX of inital OUT packet   */
/*                                                                         */
/*                                                                         */
/*                                                                         */
/*                                                                         */
/*                                                                         */
/*-------------------------------------------------------------------------*/

//#define VERSION_NUMBER  (0x0005)
/*-------------------------------------------------------------------------*/
/*                                                                         */
/*     Make project pathways relative in the project build set up.         */
/*                                                                         */
/*                                                                         */
/*                                                                         */
/*                                                                         */
/*                                                                         */
/*-------------------------------------------------------------------------*/

#endif