/*********************************************************************
 *
 *                Microchip USB C18 Firmware Version 1.0
 *
 *********************************************************************
 * FileName:        usbdsc.h
 * Dependencies:    See INCLUDES section below
 * Processor:       PIC18
 * Compiler:        C18 2.30.01+
 * Company:         Microchip Technology, Inc.
 *
 * Software License Agreement
 *
 * The software supplied herewith by Microchip Technology Incorporated
 * (the Company) for its PICmicro Microcontroller is intended and
 * supplied to you, the Companys customer, for use solely and
 * exclusively on Microchip PICmicro Microcontroller products. The
 * software is owned by the Company and/or its supplier, and is
 * protected under applicable copyright laws. All rights are reserved.
 * Any use in violation of the foregoing restrictions may subject the
 * user to criminal sanctions under applicable laws, as well as to
 * civil liability for the breach of the terms and conditions of this
 * license.
 *
 * THIS SOFTWARE IS PROVIDED IN AN AS IS CONDITION. NO WARRANTIES,
 * WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING, BUT NOT LIMITED
 * TO, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE APPLY TO THIS SOFTWARE. THE COMPANY SHALL NOT,
 * IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL OR
 * CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.
 *
 ********************************************************************/

/*********************************************************************
 * Descriptor specific type definitions are defined in:
 * system\usb\usbdefs\usbdefs_std_dsc.h
 ********************************************************************/

#ifndef USBDSC_H
#define USBDSC_H

/** I N C L U D E S *************************************************/
#include "system\typedefs.h"

#include "system\usb\class\MidiStream.h"

#include "system\usb\usb.h"

/*   \todo name correctly */
//    USB_INTF_DSC            i00a00; \
//    CS_AC_INTERFACE_HEADER_DESCRIPTOR       CSACInterfaceHeader;    \


/** D E F I N I T I O N S *******************************************/

/* Configuration 1 Descriptor
 *
 * Structure must agree with CFG01 in usbdsc.c
 *
 */

#define CFG01 rom struct \
{   USB_CFG_DSC             cd01;   \
    STANDARD_MS_INTERFACE_DESCRIPTOR        StandMSInterfaceDescrip; \
    CS_MS_INTERFACE_DESCRIPTOR              CSMSInterfaceDescrip;  \
    MIDI_ADAPTER_MIDI_IN_JACK_DESCRIPTOR    EmbedJackIn;    \
    MIDI_ADAPTER_MIDI_IN_JACK_DESCRIPTOR    ExtJackIn;      \
    MIDI_ADAPTER_MIDI_OUT_JACK_DESCRIPTOR   EmbedJackOut;   \
    MIDI_ADAPTER_MIDI_OUT_JACK_DESCRIPTOR   ExtJackOut;     \
    USB_EP_DSC              ep01o_i02a00;          \
    USB_CS_MS_EP_DSC        ep01o_i02a00cs;        \
    USB_EP_DSC              ep01i_i02a00;          \
    USB_CS_MS_EP_DSC        ep01i_i02a00cs;        \
} cfg01

/** E X T E R N S ***************************************************/
extern rom USB_DEV_DSC device_dsc;
extern rom USB_DEV_DSC device_dsc_alt;
extern CFG01;
extern const_rom unsigned char *rom USB_CD_Ptr[];
extern const_rom unsigned char *rom USB_SD_Ptr[];
extern const_rom unsigned char *rom USB_SD_alt_Ptr[];

extern rom pFunc ClassReqHandler[1];
/** P U B L I C  P R O T O T Y P E S *****************************************/
BOOL UsbDscAltDevice(void);

#endif //USBDSC_H
